Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Functions
bestfirst.h File Reference
`#include "associate.h"`
`#include "blobs.h"`
`#include "closed.h"`
`#include "oldheap.h"`
`#include "ratngs.h"`
`#include "seam.h"`
`#include "states.h"`
`#include "stopper.h"`

Go to the source code of this file.

## Classes

struct | SEARCH_RECORD

## Functions

int | chunks_width (WIDTH_RECORD *width_record, int start_chunk, int last_chunk)
int | chunks_gap (WIDTH_RECORD *width_record, int last_chunk)
STATE * | pop_queue (HEAP *queue)
void | replace_char_widths (CHUNKS_RECORD *chunks_record, SEARCH_STATE state)

## Function Documentation

int chunks_gap | ( | WIDTH_RECORD * | width_record,
|  | int | last_chunk
| ) |  |

int chunks_width | ( | WIDTH_RECORD * | width_record,
|  | int | start_chunk,
|  | int | last_chunk
| ) |  |

STATE* pop_queue | ( | HEAP * | queue | ) |

void replace_char_widths | ( | CHUNKS_RECORD * | chunks_record,
|  | SEARCH_STATE | state
| ) |  |